<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}


$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];
$cod= $row["codusu"];


		$hoy=date("Y-m-d");
?>

	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>

	<script type="text/javascript">

			
							///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////


		function aceptar() {
			location.href="index.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
			
	

function imprimir(numrec) {
		window.open("../fpdf/imprimir_recibo_PUNTO_VENTA.php?numrec="+numrec);
	
		}	
        </script>



	</head>
<?php 

 $numrec=$_POST["numrec"];
 $cdgcli=$_POST["cdgcli"];
 $dsccli=$_POST["dsccli"];
 $pagacon=$_POST["pagacon"];
 $pagacon = str_replace  (",","",$pagacon);
 $vuelto=$_POST["vuelto"];
 $vuelto = str_replace  (",","",$vuelto);
 $accion=$_POST["accion"];
 $monabo=$_POST["totalpago"];
 $monabo = str_replace  (",","",$monabo);
 $cdgcli=$_POST["cdgcli"];
 $tazint=$_POST["tazint"];
 $aplnot=$_POST["aplnot"];
 $numrectmp=$_POST["numrec"];
 $monade=$_POST["monade"];
 $numade=$_POST["numade"];
 $codmov=$_POST["codmov"];
	
 $detrec=strtoupper($_POST["detrec"]);	
 
 	$total_abono   =0;
	$total_interes =0;
	$total_recibo  =0;
	

 if (!isset($_POST["pordes"])) { $pordes=""; } else  {  $pordes=$_POST["pordes"]; }
 if (!isset($_POST["descuento"])) { $descuento=""; } else  {  $descuento=$_POST["descuento"]; }
  
  	if ( $pordes > 0 && $descuento ==1) {
	$tipmov="RD";
	}else{
	$tipmov="RP";
	}
		   
if ($monade > 0 ) {   
	$tipmov="RA";
	}
	
if (!isset($_POST["pago_efectivo"]))  { $efectivo=0;  } else  {  $efectivo=$monabo; }   //
if (!isset($_POST["pago_tarjeta"]))   { $tarjetas=0;  } else  {  $tarjetas=$monabo; }  // 
if (!isset($_POST["pago_deposito"]))  { $depositos=0; } else  {  $depositos=$monabo; }  //
if (!isset($_POST["pago_cheque"]))    { $simpes=0;   } else  {  $simpes=$monabo; }  //


       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $numreccli =  $row_para["numreccli"];
	   $numrec=$numreccli+1;
	   
	   
	   
    $sel_Saldo="SELECT  Sum(SALACT) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
		$resultado3 = $mysqli->query($sel_Saldo);
		$fila3 = $resultado3->fetch_array();

		$suma = $fila3["totalfac"];

			/////////////////////////////////////////////////  Guarda el recibo en pagos clientes 
			//////////////////////////////////////			
				    if ($accion=="alta") {
			
	                $query_operacion="INSERT INTO pagos_clientes (numrec, fecrec, montot, pagcon, vuelto,efectivo,tarjetas,depositos, simpes,  cdgcli, dsccli, detrec, estrec, cdgcaj, tipmov, cdgusu, codmov) 
					VALUES ('$numrec',  '$hoy', '$monabo', '$pagacon', '$vuelto','$efectivo','$tarjetas','$depositos', '$simpes', '$cdgcli', '$dsccli',  '$detrec', '1',  '$cod',  '$tipmov', '$nomb' , '$codmov' )";				
		$mysqli->query($query_operacion);

	
	 $query_operacion2="UPDATE web_0000 SET numreccli='$numrec'";				
	 $mysqli->query($query_operacion2);

	
	
	////////////////////////////////////////////////////////// Guarda el recibo en pagos clientes lineas //////////////////////////////////////////
$numrectmp=$_POST["numrec"];
 
$sel_lineas="SELECT * FROM pagos_clientes_recibos_lineastmp WHERE numrec='$numrectmp' ORDER BY numlinea ASC";
if ($resultado = $mysqli->query($sel_lineas)) 

    while ($fila = $resultado->fetch_assoc()) {
		

        $numlinea = $fila["numlinea"];
        $salfac   = $fila["salfac"];
        $numfac   = $fila["numfac"];
		$monabo   = $fila["monabo"];
		$totfac   = $fila["totfac"];
		$monint   = $fila["monint"];
		$intfac   = $fila["intfac"];
		$fecfac   = $fila["fecfac"];
	
	$total_abono=$total_abono+$monabo;
	$total_interes=$total_interes+$monint;
	$total_recibo=$total_abono+$total_interes;

IF ($monabo > 0 OR $monint > 0) {
		$sel_insertar3="INSERT INTO pagos_clientes_recibos_lineas (numrec,numlinea,salfac,borrado,cdgcli,numfac,totfac,monabo, monint,intfac,fecfac) VALUES 
		('$numrec','','$salfac','0','$cdgcli','$numfac','$totfac','$monabo' ,'$monint','$intfac','$fecfac') ";
		$mysqli->query($sel_insertar3);


	 	$sel_act="UPDATE web_2101 SET salact='$salfac' WHERE cdgcli='$cdgcli' AND numfac='$numfac'";
		$mysqli->query($sel_act);
	
}	
}

$consulta1 = "DELETE FROM pagos_clientestmp  WHERE numrec ='$numrectmp'";
	$mysqli->query($consulta1);

$consulta2 = "DELETE FROM pagos_clientes_recibos_lineastmp  WHERE numrec ='$numrectmp'";
	$mysqli->query($consulta2);
	/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes ///////////////////////////////////////////	
	
	   $sel_Saldo = "SELECT  Sum(SALACT) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
		$resultado4 = $mysqli->query($sel_Saldo);
		$fila5 = $resultado4->fetch_array();

		$total = $fila5["totalfac"];

	   $sel_abono="UPDATE web_0301 SET salact='$total' WHERE cdgcli = $cdgcli";
       $mysqli->query($sel_abono);
	
	

 	$sel_totales="UPDATE pagos_clientes SET monabo='$total_abono', monint='$total_interes', montot='$total_recibo',  nuevosaldo='$total' WHERE cdgcli='$cdgcli' AND numrec='$numrec'";
	$mysqli->query($sel_totales);


if ($monade > 0 ) {        ////////////     si paga con un recibo de pago adelantado ////////////////////////////////////////////
 
 
 		//////////////////////////////////////////////////////////  Modifica la el saldo en la movimientos caja ///////////////////////////////

		$sel_recibo= "SELECT * FROM movimientos_caja WHERE codmov = $codmov  and codigo = $cdgcli  ";
		$rs_total = $mysqli->query($sel_recibo);
		$fila3 = $rs_total->fetch_array();

        $salact  = $fila3["salact"];

			
		$nuevosaldo = $salact -  $total_recibo ;
  
	  	$sel_anulacion="UPDATE  movimientos_caja  SET salact='$nuevosaldo' , numrec='$numrec' WHERE codmov = $codmov  and codigo = $cdgcli  ";
		$mysqli->query($sel_anulacion);
			
			
	
		/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes //////////////////////////////////
				
	$consulta = "SELECT SUM(salact) AS saldo FROM movimientos_caja  WHERE codigo='$cdgcli' AND salact > 0  AND tipmov = 'REC' ";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["saldo"];


	$nuevo_saldo="UPDATE web_0301 SET  salfav='$salact'  WHERE cdgcli='$cdgcli'";
	$mysqli->query($nuevo_saldo);



}





	}
			
	//////////////////////////////////////////////////////////// Anulacion del recibo en pagos clientes ///////////////////////////////////////		
			if ($accion=="baja") {
	$numrec=$_GET["numrec"];
	echo $numrec;
	$query="UPDATE pagos_clientes SET estrec='0', nomusu='$nomb',  fecmod='$hoy' WHERE numrec='$numrec'";
		$mysqli->query($query);
	
		//////////////////////////////////////////////////////////  Modifica la el saldo en la 2101  CXC //////////////////////////////////////////

			
			
			
		$sel_recibo= "SELECT montot, numfac, cdgcli  FROM pagos_clientes WHERE numrec = $numrec ";
		$rs_total = $mysqli->query($sel_recibo);
		$fila3 = $rs_total->fetch_array();

        $monto  = $fila3["montot"];
		$numfac = $fila3["numfac"];
		$cdgcli = $fila3["cdgcli"];
		
			
		$sel_saldoactual="SELECT  salact  FROM web_2101 WHERE numfac = $numfac ";
		$rs_saldo = $mysqli->query($sel_saldoactual);
		$fila4 = $rs_saldo->fetch_array();

        $total  = $fila4["SALACT"];
			
		$nuevosaldo = $total +  $monto ;
  
	   $sel_anulacion="UPDATE web_2101 SET salact='$nuevosaldo' WHERE numfac='$numfac'";
			$mysqli->query($sel_anulacion);
			
			
	
		/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes ///////////////////////////////////////////
				
		$sel_Saldo = "SELECT  Sum(SALACT) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
		$resultado4 = $mysqli->query($sel_Saldo);
		$fila5 = $resultado4->fetch_array();

		$suma = $fila5["totalfac"];

	   $sel_abono="UPDATE web_0301 SET salact='$suma' WHERE cdgcli = $cdgcli";
       $mysqli->query($sel_abono);

}
			
					
					  
	if ($accion=="alta"){
	

?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(numrec) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
	window.open("../fpdf/imprimir_recibo_PUNTO_VENTA.php?numrec="+numrec);
	//  window.open("../fpdf/imprimir_recibo_TERMICA.php?numrec="+numrec);
		
		//parent.location.href="index.php";
		}
		
		
		  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // ENTER  DIRECCION A NUEVA FACTURA 

  }
	  }	
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		</script>
<?php 
		

	
echo "<script>";
echo "imprimir($numrec);";
echo "</script>";	

	
   }

				  
	?>				  
					  
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="89">&nbsp;</td>
			        <td width="3">&nbsp;</td>
			        <td width="61">&nbsp;</td>
			        <td width="68" class="fuente8">ABONO </td>
			        <td width="480" ><input id="total"  readonly="readonly"  class="fuente_totales3" name="total"  value="<?php echo number_format($total_recibo,2,".",",")?>"  style='text-align:right;'  type="text" /></td>
			        <td width="1">&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">PAGADO</td>
			        <td><input id="anterior"  readonly="readonly"  class="fuente_totales3" name="anterior"  value="<?php echo number_format($pagacon,2,".",",")?>"  style='text-align:right;'   type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">VUELTO</td>
			        <td><input id="actual"  readonly="readonly"  class="fuente_totales3" name="actual"  value="<?php echo number_format($vuelto,2,".",",")?>"   style='text-align:right;'    type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
		         </table>
			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
					  
				  </p>
					<p><span class="fuente_gracias">MUCHAS GRACIAS POR SU PREFERENCIA </span></p>
				</div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
 
